Package com.usatiuk.dhfs.repository

# Class MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub

java.lang.Object
io.grpc.stub.AbstractStub<MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub>
com.usatiuk.dhfs.repository.MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub

All Implemented Interfaces:
  `io.quarkus.grpc.MutinyStub`

Enclosing class:
  `MutinyDhfsObjectSyncGrpcGrpc`

public static class MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub extends io.grpc.stub.AbstractStub<MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub> implements io.quarkus.grpc.MutinyStub

## Nested Class Summary

## Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

## Method Summary

Modifier and Type
Method
Description
`protected MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub`
`build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`io.smallrye.mutiny.Uni<CanDeleteReply>`
`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
`ping(PingRequest request)`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, newStub, newStub, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOnReadyThreshold, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### build

protected MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub>`

### opPush

public io.smallrye.mutiny.Uni<OpPushReply> opPush(OpPushRequest request)

### getObject

public io.smallrye.mutiny.Uni<GetObjectReply> getObject(GetObjectRequest request)

### canDelete

public io.smallrye.mutiny.Uni<CanDeleteReply> canDelete(CanDeleteRequest request)

### ping

public io.smallrye.mutiny.Uni<PingReply> ping(PingRequest request)